/* statement covering */

void f(int i) {int j;}

void g(int j) {
  int i;
  while (i!=0) j=i;
  while (i++ == j) while (j) i;
  while (i==j) { i=j; }
  do {i=j;} while (i==1);
  for (;;) i++;
  for (i=0; i<j; i++) j=(i==j?i:j);
  for (i=0; ;) {j++;}
  return;
 LL:  for (i++; i>j;) while (j) {i++; break;continue;}
  j = i;
  if (i>1) j++;
  if (i<1) {j++;}
  if (i<1) for (;;) j++;
  if (i>2) for(;;) j++; else j--;
  if (1) j; else i;
  if (2) {i;} else {j;}
  if (1) j; else {j;}
  if (1) {j;} else j;
  if (1) j; else while (1) j++;
  switch (++i) {
  case 4: i++; break;
  case 5: j++; break;
  default: j=i;
  }
  goto LL;
}

int h() {return 5;}
